Get list of Portfolio Manager properties
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| includeOnlyUnlinked | Include only unlinked properties | boolean | Optional |
| verbose | true by default. When set to false the API will perform faster but will only retrieve PmPropertyId and PmPropertyName from Portfolio Manager. PmPropertyUseType, PmFloorArea, PmFloorAreaUnits will be null. |
boolean | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
EnergyStarPmProperty
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| place | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeSize | PlaceSizeChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceSizeChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmFloorArea | The Portfolio Manager floor area null when not linked to portfolio manager property | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmFloorAreaUnits | The Portfolio Manager floor area units null when not linked to a portfolio manager property | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmPropertyId | The Portfolio Manager property identifier null when not linked to a portfolio manager property | integer (int64) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmPropertyName | The Portfolio Manager property name null when not linked to a portfolio manager property | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pmPropertyUseType | The Portfolio Manager property use type null when not linked to a portfolio manager property | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "placeSize": { "beginDate": "2026-03-30", "endDate": "2026-03-30", "placeSizeId": 1, "unitCode": "string", "unitId": 1, "unitInfo": "string", "value": 1.0
}, "pmFloorArea": 1, "pmFloorAreaUnits": "string", "pmPropertyId": 1, "pmPropertyName": "string", "pmPropertyUseType": "string"
}
]